#pragma once
#include "GenericRefStructs.h"
#include <string>
// #include "DeerRender/Scene.h"

namespace Deer {
	class SceneCamera;

	namespace StudioAPI {
		struct EnvironmentStruct : EnvironmentHandleStruct {
			void render(FrameBufferHandleStruct, SceneCamera&);

			EntityHandleStruct getRootEntity();
			EntityHandleStruct getEntity(int);
		};

		EnvironmentHandleStruct getMainEnvironment();
		EnvironmentHandleStruct createLoadEnvironment(std::string& envId);
	} // namespace StudioAPI
} // namespace Deer